clear;clc;
addpath .\fdtd_sw
addpath .\fdtd_sw\GF_sw
load('conf2');
n_pool=input('Input the number of CPU cores you want to use : ');
fdtd_sw(mdl,[0;0;0],[45;45;45],exc,out,sw,1200,20,n_pool);
%
delta=0.01;
[ct,E]=far_read('far.txt');
for i=1:4
    figure;hold on;
    v=load(['v',num2str(i),'.txt']);
    plot(v(:,1),-v(:,2)/delta);
    plot(ct(:,i),E(3,:,i),'r:');
    title(['P',num2str(i)]);
    legend('FDTD','GFM');
end