function U_u=Int_U_u(Rs,lamda1,r,u,Su_u,Su_uu,U,sv)
% 
U_u=sv(@(lamda,U_u) equ_U_u(lamda,U_u,Rs,lamda1,r,u,Su_u,Su_uu,U),zeros(64,1));
end
%
function dU=equ_U_u(lamda,U_u,Rs,lamda1,r,u,Su_u,Su_uu,U)
r=interp1(lamda1,r,lamda,'spline');
u=interp1(lamda1,u.',lamda,'spline').';
C=Christoffel_sw(Rs,r,pi/2);
R=Riemann_sw(Rs,r,pi/2);
Rm=dot_TT(inv_metric_sw(Rs,r,pi/2),2,R,1);
Su_u=reshape(interp1(Su_u.x,Su_u.y.',lamda,'spline'),4,4);
U=reshape(interp1(U.x,U.y.',lamda,'spline'),4,4);
U_u=reshape(U_u,4,4,4);
%
dU=dot_TV(ipermute(dot_TT(C,1,U_u,1),[1 4 2 3])+dot_TT(U_u,3,C,1)...
         +ipermute(dot_TT(Rm,1,U,1),[1 3 4 2]),4,u);
if(lamda==0)
    dU=dU-dot_TT(L0_U1(R,u),3,Su_u,1);
else
    Su_uu=reshape(interp1(Su_uu.x,Su_uu.y.',lamda,'spline'),4,4,4);
    dU=dU-(dot_TT(U_u,3,Su_u,1)+0.5*prod_tensor(U,Contraction(Su_uu,1,2))...
        +0.5*(trace(Su_u)-4)*U_u)/lamda;
end
dU=dU(:);
end