function T=dxs_dxc(Xs,Rs)
% Xs=(r,theta,phi)
r=Xs(1);
theta=Xs(2);
phi=Xs(3);
R=(r-Rs/2+sqrt(r*(r-Rs)))/2;
dr_dR=1-(0.25*Rs/R)^2;
T =[1,0,0,0;...
    0,dr_dR*sin(theta)*cos(phi),dr_dR*sin(theta)*sin(phi),dr_dR*cos(theta);...
    0,    cos(theta)*cos(phi)/R,    cos(theta)*sin(phi)/R,   -sin(theta)/R;...
    0, -sin(phi)/(R*sin(theta)),  cos(phi)/(R*sin(theta)),               0];
end