function [ct,A,B,C,D]=matrix_dE(X0,X1,Rs,cdt)
X0=X0(:);X1=X1(:);
if(Rs==0)
R=X1-X0;
ct=norm(R);
A=[R,zeros(3,3)]/(4*pi*ct^3);
B=[R/ct,-eye(3)]/(4*pi*ct);
r=[0,    0, R(3),-R(2);...
   0,-R(3),    0, R(1);...
   0, R(2),-R(1),    0];
C=r/(4*pi*ct^3);
D=r/(4*pi*ct^2);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
else
[ct,U,U_u,U_0,V,S_0,S_00,S_u,S_u0]=GF_sw_cart(X0,X1,Rs,cdt);
P=-(prod_tensor(U,S_u0*S_0-S_u*S_00)...
    +prod_tensor(U_0,S_u)*S_0)/abs(S_0)^3+...
    (U_u-prod_tensor(V,S_u))/abs(S_0);
Q=-prod_tensor(U,S_u)/(abs(S_0)*S_0);
A=[reshape(P(1,:,2)-P(2,:,1),1,4);...
   reshape(P(1,:,3)-P(3,:,1),1,4);...
   reshape(P(1,:,4)-P(4,:,1),1,4)]/(4*pi);
B=[reshape(Q(1,:,2)-Q(2,:,1),1,4);...
   reshape(Q(1,:,3)-Q(3,:,1),1,4);...
   reshape(Q(1,:,4)-Q(4,:,1),1,4)]/(4*pi);
gi=inv_metric_sw_cart(Rs,X1);
sg=sg_sw_cart(Rs,X1);
P=dot_TT(dot_TT(gi,2,P,1),3,gi,1);
Q=dot_TT(dot_TT(gi,2,Q,1),3,gi,1);
C=[reshape(P(4,:,3)-P(3,:,4),1,4);...
   reshape(P(2,:,4)-P(4,:,2),1,4);...
   reshape(P(3,:,2)-P(2,:,3),1,4)]*sg/(4*pi);
D=[reshape(Q(4,:,3)-Q(3,:,4),1,4);...
   reshape(Q(2,:,4)-Q(4,:,2),1,4);...
   reshape(Q(3,:,2)-Q(2,:,3),1,4)]*sg/(4*pi);
end
end