function dipole=dipole_init(mdl,dipole,sw)
[~,dipole.co(1)]=min(abs(dipole.co(1)-mdl.x));
[~,dipole.co(2)]=min(abs(dipole.co(2)-mdl.y));
[~,dipole.co(3)]=min(abs(dipole.co(3)-mdl.z));
Z0=29.9792458*4*pi;
V=0.25*(mdl.x(dipole.co(1)+1)-mdl.x(dipole.co(1)-1))...
      *(mdl.y(dipole.co(2)+1)-mdl.y(dipole.co(2)-1))...
      *(mdl.z(dipole.co(3)+1)-mdl.z(dipole.co(3)));
epsr=epsrmur_sw(mdl.x(dipole.co(1)),mdl.y(dipole.co(2)),...
    (mdl.z(dipole.co(3))+mdl.z(dipole.co(3)+1))/2,sw);
dipole.Cd=mdl.dx0*Z0/(V*epsr);
dipole.sgm=0.483/dipole.BW;
end