function v=volt_add(mdl,volt,v,n)
t=mdl.t0+n*mdl.dt;
switch volt.dir
    case 'X'
        L=mdl.x(volt.co(1)+1:volt.co(2))-mdl.x(volt.co(1):volt.co(2)-1);
        if(volt.type=='S')
            v.Ex(volt.co(1):volt.co(2)-1,volt.co(3),volt.co(4))=...
                v.Ex(volt.co(1):volt.co(2)-1,volt.co(3),volt.co(4))...
                -wave_fun(t,volt.wave)/L;
        else
            v.Ex(volt.co(1):volt.co(2)-1,volt.co(3),volt.co(4))=...
                -wave_fun(t,volt.wave)/L;
        end
    case 'Y'
        L=mdl.y(volt.co(2)+1:volt.co(3))-mdl.y(volt.co(2):volt.co(3)-1);
        if(volt.type=='S')
            v.Ey(volt.co(1),volt.co(2):volt.co(3)-1,volt.co(4))=...
                v.Ey(volt.co(1),volt.co(2):volt.co(3)-1,volt.co(4))...
                -wave_fun(t,volt.wave)/L;
        else
            v.Ey(volt.co(1),volt.co(2):volt.co(3)-1,volt.co(4))=...
                -wave_fun(t,volt.wave)/L; 
        end
    case 'Z'
        L=mdl.z(volt.co(3)+1:volt.co(4))-mdl.z(volt.co(3):volt.co(4)-1);
        if(volt.type=='S')
            v.Ez(volt.co(1),volt.co(2),volt.co(3):volt.co(4)-1)=...
                v.Ez(volt.co(1),volt.co(2),volt.co(3):volt.co(4)-1)...
                -wave_fun(t,volt.wave)/L;
        else
            v.Ez(volt.co(1),volt.co(2),volt.co(3):volt.co(4)-1)=...
                -wave_fun(t,volt.wave)/L;
        end
    otherwise
end
end