function wave=wave_init(wave)
wave.type=upper(wave.type);
switch wave.type
    case 'SINE'
        wave.omg=2*pi*wave.F;
    case 'GAUSS'
        wave.sgm=0.483/wave.BW;
    case 'DIFFGAUSS'
        %wave.sgm=fsolve(@(s) 2*pi*wave.BW*s*exp(-2*(pi*wave.BW*s)^2-exp(-0.5)*0.01),0.483/wave.BW);
        wave.sgm=0.568/wave.BW;
    case 'MODGAUSS'
        wave.omg0=2*pi*wave.F0;
        wave.sgm=0.966/wave.BW;
    otherwise
        error(['wave type ' wave.type ' is not defined.']);
end
end