clear;clc;
addpath .\fdtd_sw
addpath .\fdtd_sw\GF_sw
load('conf3');
n_pool=input('Input the number of CPU cores you want to use : ');
fdtd_sw(mdl,[4;4;4],[4;4;4],exc,out,sw,1000,20,n_pool);
a=load('far.txt');
figure;plot(a(:,1),a(:,4));
hold on;
a0=load('far_flat.txt');
plot(a0(:,1),a0(:,4),'r:');
legend('Schwarzschild spacetime','Flat spacetime');
c=299792458;
[f,S] = fft_realsig(a(:,4),(a(2,1)-a(1,1))/c,2);
figure;plot(f,abs(S));hold on;
[f,S] = fft_realsig(a0(:,4),(a0(2,1)-a0(1,1))/c,2);
plot(f,abs(S));
axis([0 300e6 0 8e-14]);
legend('Schwarzschild spacetime','Flat spacetime');