function [T,Xe1,Xe2]=cart_equator(X1,X2)
eps=1e-7;
%
n=cross(X1,X2);
if(norm(n)/norm(X1)<eps)
    xz=cross(X1,[0;0;1]);
    if(norm(xz)/norm(X1)<eps)
        n=[0;1;0];
    else
        n=cross(xz,X1);
    end
end
n=n/norm(n);
%
T=EulerTrans(acos(n(3)),atan2(n(2),n(1)));
Xe1=T(2:4,2:4)*X1(:);
Xe2=T(2:4,2:4)*X2(:);
end