function B=dot_TV(A,n,v)
d=ndims(A);
if(n>d)
    error('dot_TV error, n > ndims(A) !');
end
N=4^(d-1);
A=shiftdim(A,n);
for k=1:4
    A(((k-1)*N+1):k*N)=A(((k-1)*N+1):k*N)*v(k);
end
A=shiftdim(A,d-n);
B=squeeze(sum(A,n));
end