function fdtd_sw(mdl,L_OBi,L_OBo,exc,out,sw,nmax,n_disp,n_pool)
disp('FDTD initializing ...');
[mdl,exc,out,v]=init(mdl,L_OBi,L_OBo,exc,out,sw,n_pool);
n0=0;
%nmax=input('input max time step : ');
disp('FDTD start ...');
% while(1)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    for n=n0:nmax-1
        if(mod(n,n_disp)==0)
            disp(['step ' num2str(n) '/' num2str(nmax)]);
        end
        v=update_e_sw(mdl,sw,v); % n*dx0
        v=source_add(mdl,exc,v,n);
        v=update_h_sw(mdl,sw,v); % (n+0.5)*dx0
        if(exc.f_iw)
            v=iw_subtract(mdl,exc.iw,v,n);
        end
        if(out.f_far)
            out.far=farfield(mdl,out.far,v);
        end
        output(mdl,out,v,n);
    end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%     [n0,nmax,fe]=enq(n0,nmax);
%     if(fe)
%         break;
%     end
% end
out_post(out);
disp('FDTD END.');
end